OtherAPI ReferenceText-to-SpeechVoices

Get voices

Retrieves the list of voices in your project.

GET
https://api.soniox.com/v1/voices

Retrieves the list of voices in your project.

Headers

AuthorizationRequiredBearer <SONIOX_API_KEY>

Query parameters

limitinteger

Maximum number of voices to return.

Default: 1000Minimum: 1Maximum: 1000
cursorstring

Pagination cursor for the next page of results.

Response

200

OK

voicesRequiredarray<object>

List of voices.

next_page_cursorstring

A pagination token that references the next page of results. When more data is available, this field contains a value to pass in the cursor parameter of a subsequent request. When null, no additional results are available.

Errors

OK

{
  "voices": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "filename": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "models": [
        {
          "model": "string",
          "status": "not_computed",
          "error_type": "string",
          "error_message": "string"
        }
      ]
    }
  ],
  "next_page_cursor": "string"
}

Bad Request

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Unauthorized

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Too Many Requests

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}

Internal Server Error

{
  "status_code": 0,
  "error_type": "string",
  "message": "string",
  "validation_errors": [
    {
      "error_type": "string",
      "location": "string",
      "message": "string"
    }
  ],
  "request_id": "string",
  "more_info": "string"
}